# Interface ProducerEventMap

#### Hierarchy

- ProducerEventMap

- Defined in linking/producer.ts:24

#####
Index

### Properties

challenge
done
link

## Properties

### challenge

challenge: {
confirmPin: (() => void);
pin: number[];
rejectPin: (() => void);
}

#### Type declaration

- ##### confirmPin: (() => void)

  - - (): void

    - #### Returns void

- ##### pin: number[]

- ##### rejectPin: (() => void)

  - - (): void

    - #### Returns void

- Defined in linking/producer.ts:25

### done

done: undefined

- Defined in linking/producer.ts:31

### link

link: {
approved: boolean;
username: string;
}

#### Type declaration

- ##### approved: boolean

- ##### username: string

- Defined in linking/producer.ts:30

Generated using TypeDoc